### Method

# Gio Application set_inactivity_timeout

since: 2.28

#### Declaration [src]

    void
    g_application_set_inactivity_timeout (
      GApplication* application,
      guint inactivity_timeout
    )

#### Description [src]

Sets the current inactivity timeout for the application.

This is the amount of time (in milliseconds) after the last call to `g_application_release()` before the application stops running.

This call has no side effects of its own. The value set here is only used for next time `g_application_release()` drops the use count to zero. Any timeouts currently in progress are not impacted.

Available since: 2.28

Sets property | `Gio.Application:inactivity-timeout`

#### Parameters

`inactivity_timeout`

  Type: `guint`

  The timeout, in milliseconds.